Bug 50853 - Increase SCSI disk timeout value
Summary: Increase SCSI disk timeout value
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-03 22:27 UTC by Matt Domsch
Modified: 2007-04-18 16:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 21:40:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2001-08-03 22:27:18 UTC
Description of Problem:
Running cerberus 9-20 against an Dell PERC3/QC (AMI MegaRAID) controller, 
there are a bunch of SCSI read/write timeouts.  AMI recommends increasing 
the SD_TIMEOUT value from 30 seconds to 60 seconds.

How Reproducible:
occasional.  Always with enough disk activity.  Seen on kernel 2.4.7-0.3.

Steps to Reproduce:
1. Run cerberus 9-20 against a PERC3/QC
2. 
3. 

Actual Results:
see SCSI disk timeouts in dmesg

Expected Results:
no disk timeouts reported

Additional Information:
Patch to increase timeout.

--- linux-2.4/drivers/scsi/sd.c.orig	Fri Aug  3 17:27:57 2001
+++ linux-2.4/drivers/scsi/sd.c	Fri Aug  3 17:28:05 2001
@@ -81,7 +81,7 @@
  *  Time out in seconds for disks and Magneto-opticals (which are slower).
  */
 
-#define SD_TIMEOUT (30 * HZ)
+#define SD_TIMEOUT (60 * HZ)
 #define SD_MOD_TIMEOUT (75 * HZ)
 
 struct hd_struct *sd;

Comment 1 Glen Foster 2001-08-06 21:08:35 UTC
If the kernel team feels this is SHOULD- or MUST-FIX, we can mark it as such.

Comment 2 Arjan van de Ven 2001-08-06 21:40:15 UTC
SHOULD FIX and done so.



Note You need to log in before you can comment on or make changes to this bug.